"use strict";
const css_1 = require('../../css/colours/css');
const css_2 = require('../../css/app/content/css');
const css_3 = require('../../css/app/toolbar/css');
class AppContent extends React.Component {
    render() {
        let _css = [css_2.appContent.content];
        let _cssToolbar = [css_3.appToolbar.toolbar];
        _css.push(css_2.appContent[this.props.color || css_1.colours.white]);
        _cssToolbar.push(css_3.appToolbar[this.props.toolbarColor || css_1.colours.black]);
        return (React.createElement("main", {className: _css.join(' ')}, 
            React.createElement("div", {className: _cssToolbar.join(' '), hidden: !this.props.title && this.props.toolbar}, 
                " ", 
                this.props.title, 
                " ", 
                this.props.toolbar, 
                " "), 
            this.props.children));
    }
}
exports.AppContent = AppContent;
