"use strict";
const css_1 = require('../../css/css');
const css_2 = require('../../utilities/css');
class Baloon extends React.Component {
    render() {
        let _css = new css_2.CssClassList(css_1.baloon.baloon);
        _css.add(this.props.className || '');
        _css.add(css_1.baloon[this.props.color || css_1.colours.blue]);
        _css.add(css_1.baloon[this.props.direction || 'bottom']);
        if (this.props.visible)
            _css.add(css_1.baloon.visible);
        return (React.createElement("div", {className: _css.toString()}, 
            this.props.direction === 'bottom' || !this.props.direction ? React.createElement("div", {className: css_1.baloon.baloon__triangle}) : null, 
            React.createElement("div", {className: css_1.baloon.baloon__header, hidden: !this.props.title}, this.props.title), 
            React.createElement("div", {className: css_1.baloon.baloon__content}, this.props.children), 
            this.props.direction === 'top' ? React.createElement("div", {className: css_1.baloon.baloon__triangle}) : null));
    }
}
exports.Baloon = Baloon;
