"use strict";
const css_1 = require('../../utilities/css');
const css_2 = require('../../css/colours/css');
const css_3 = require('../../css/notifications/notifications/css');
class Notification extends React.Component {
    render() {
        let _css = new css_1.CssClassList(css_3.notification.notification);
        _css.add(css_3.notification[this.props.color || css_2.colours.blue]);
        if (this.props.hollow)
            _css.add(css_3.notification.hollow);
        if (this.props.rounded)
            _css.add(css_3.notification.rounded);
        return (React.createElement("div", {className: _css.toString()}, this.props.children));
    }
}
exports.Notification = Notification;
