"use strict";
function get(selector) {
    return document.querySelector(selector);
}
exports.get = get;
function getAll(selector) {
    return [].slice.call(document.querySelectorAll(selector));
}
exports.getAll = getAll;
function ready(callback) {
    return document.addEventListener('DOMContentLoaded', callback);
}
exports.ready = ready;
function renderComponent(component, target) {
    return function () {
        ReactDOM.render(component, get(target));
    };
}
exports.renderComponent = renderComponent;
