"use strict";
const css_1 = require('../../css/app/css');
const aside_1 = require('./aside');
const content_1 = require('./content');
class App extends React.Component {
    render() {
        let Aside = this.props.aside;
        let Content = this.props.content;
        return (React.createElement("div", {className: css_1.app.app}, 
            React.createElement(aside_1.AppAside, {color: this.props.asideColor, title: this.props.asideTitle, titleColor: this.props.asideTitleColor}, 
                React.createElement(Aside, null)
            ), 
            React.createElement(content_1.AppContent, {color: this.props.contentColor, title: this.props.contentTitle, toolbar: this.props.contentToolbar, toolbarColor: this.props.contentToolbarColor}, 
                React.createElement(Content, null)
            )));
    }
}
exports.App = App;
