"use strict";
const css_1 = require('../../css/app/aside/css');
const title_1 = require('./title');
class AppAside extends React.Component {
    render() {
        let _css = [css_1.appAside.aside];
        _css.push(css_1.appAside[this.props.color] || '');
        return (React.createElement("aside", {className: _css.join(' ')}, 
            React.createElement(title_1.AppAsideTitle, {color: this.props.titleColor}, this.props.title), 
            this.props.children));
    }
}
AppAside.Title = title_1.AppAsideTitle;
exports.AppAside = AppAside;
