"use strict";
const css_1 = require('../../utilities/css');
const css_2 = require('../../css/colours/css');
const css_3 = require('../../css/form/toggle/css');
class Toggle extends React.Component {
    render() {
        let _css = new css_1.CssClassList(css_3.toggle.toggle);
        _css.add(css_3.toggle[this.props.color || css_2.colours.blue]);
        return (React.createElement("label", {className: _css.toString()}, 
            React.createElement("input", {type: "checkbox", checked: this.props.checked, onChange: this.props.onChange}), 
            React.createElement("span", {className: css_3.toggle.toggle__toggle}), 
            React.createElement("span", {className: css_3.toggle.text}, this.props.children)));
    }
}
exports.Toggle = Toggle;
