"use strict";
const css_1 = require('../../css/wrapper/css');
const css_2 = require('../../utilities/css');
class Wrapper extends React.Component {
    render() {
        let _css = new css_2.CssClassList(css_1.wrapper.wrapper);
        if (this.props.size)
            _css.add(css_1.wrapper[this.props.size]);
        return (React.createElement("div", {className: _css.toString()}, this.props.children));
    }
}
exports.Wrapper = Wrapper;
