"use strict";
class ListItem extends React.Component {
    render() {
        let css = this.props.current ? 'list__item list__item--current' : 'list__item';
        let hidden = this.props.hidden;
        css = this.props.className ? `${css} ${this.props.className}` : css;
        return (React.createElement("li", {className: css, hidden: hidden}, this.props.children));
    }
}
class List extends React.Component {
    render() {
        let css = this.props.vertical ? `list list--vertical` : 'list';
        css = this.props.center && !this.props.vertical ? `${css} text--center-xs` : css;
        css = this.props.indented ? `${css} list--indented` : css;
        css = this.props.unpadded ? `${css} list--unpadded` : css;
        css = this.props.className ? `${css} ${this.props.className}` : css;
        return (React.createElement("ul", {className: css, hidden: this.props.hidden}, this.props.children));
    }
}
List.Item = ListItem;
exports.List = List;
