"use strict";
const css_1 = require('../../utilities/css');
const css_2 = require('../../css/user/image/css');
class UserImage extends React.Component {
    render() {
        let _css = new css_1.CssClassList();
        _css.add(this.props.large ? css_2.userImage.large : css_2.userImage.userImage);
        return (React.createElement("div", {className: css_2.userImage.wrapper}, 
            React.createElement("img", {className: _css, src: this.props.src}), 
            " ", 
            this.props.children));
    }
}
exports.UserImage = UserImage;
