"use strict";
const css_1 = require('../../utilities/css');
const css_2 = require('../../css/user/css');
const image_1 = require('./image');
class User extends React.Component {
    render() {
        let _css = new css_1.CssClassList(css_2.user.user);
        if (this.props.vSpace)
            _css.add(css_2.user.vSpaced);
        return (React.createElement("div", {className: _css}, this.props.children));
    }
}
User.Image = image_1.UserImage;
exports.User = User;
