"use strict";
class CssClassList {
    constructor(...args) {
        this.list = [];
        this.list = args;
    }
    add(className) {
        this.remove(className);
        this.list.push(className);
        return this;
    }
    has(className) {
        return this.list.filter(item => item === className).length > 0;
    }
    remove(className) {
        this.list = this.list.filter(item => item !== className);
        return this;
    }
    toggle(className) {
        this.has(className) ? this.remove(className) : this.add(className);
        return this;
    }
    toString() {
        return this.list.join(' ').trim();
    }
}
exports.CssClassList = CssClassList;
